#include <cstdlib>
#include <ctime>
#include <sys/time.h>
#include <unistd.h>

#include "dice.h"

static int roll_count = 0;

void random_init() {
    struct timeval tv;
    gettimeofday(&tv, NULL);
    pid_t pid = getpid();
    srand(tv.tv_usec + pid);
}

int roll() {
    roll_count++;
    int compliment = rand() % 6;
    return compliment + 1;
}

int get_roll_count() {
    return roll_count;
}
